def add_summary(filtered_df):
    min_temp = filtered_df['Temperature (C)'].min()
    filtered_df['min_temperature'] = round(min_temp, 2)
    max_temp = filtered_df['Temperature (C)'].max()
    filtered_df['max_temperature'] = round(max_temp, 2)
    avg_temp = filtered_df['Temperature (C)'].mean()
    filtered_df['avg_temperature'] = round(avg_temp, 2)

    min_at = filtered_df['Apparent Temperature (C)'].min()
    filtered_df['min_apparent_temperature '] = round(min_at, 2)
    max_at = filtered_df['Apparent Temperature (C)'].max()
    filtered_df['max_apparent_temperature'] = round(max_at, 2)
    avg_at = filtered_df['Apparent Temperature (C)'].mean()
    filtered_df['avg_apparent_temperature'] = round(avg_at, 2)

    min_hum = filtered_df['Humidity'].min()
    filtered_df['min_humidity'] = round(min_hum, 2)
    max_hum = filtered_df['Humidity'].max()
    filtered_df['max_humidity'] = round(max_hum, 2)
    avg_hum = filtered_df['Humidity'].mean()
    filtered_df['avg_humidity'] = round(avg_hum, 2)

    min_ws = filtered_df['Wind Speed (km/h)'].min()
    filtered_df['min_wind_speed'] = round(min_ws, 2)
    max_ws = filtered_df['Wind Speed (km/h)'].max()
    filtered_df['max_wind_speed'] = round(max_ws, 2)
    avg_ws = filtered_df['Wind Speed (km/h)'].mean()
    filtered_df['avg_wind_speed'] = round(avg_ws, 2)

    min_wb = filtered_df['Wind Bearing (degrees)'].min()
    filtered_df['min_wind_bearing'] = round(min_wb, 2)
    max_wb = filtered_df['Wind Bearing (degrees)'].max()
    filtered_df['max_wind_bearing'] = round(max_wb, 2)
    avg_wb = filtered_df['Wind Bearing (degrees)'].mean()
    filtered_df['avg_wind_bearing'] = round(avg_wb, 2)

    min_vis = filtered_df['Visibility (km)'].min()
    filtered_df['min_visibility'] = round(min_vis, 2)
    max_vis = filtered_df['Visibility (km)'].max()
    filtered_df['max_visibility'] = round(max_vis, 2)
    avg_vis = filtered_df['Visibility (km)'].mean()
    filtered_df['avg_visibility'] = round(avg_vis, 2)

    min_pre = filtered_df['Pressure (millibars)'].min()
    filtered_df['min_pressure'] = round(min_pre, 2)
    max_pre = filtered_df['Pressure (millibars)'].max()
    filtered_df['max_pressure'] = round(max_pre, 2)
    avg_pre = filtered_df['Pressure (millibars)'].mean()
    filtered_df['avg_pressure'] = round(avg_pre, 2)

    return filtered_df
